Bug Hunting Session
Bug 111775 - Default list of favourite special characters
Summary: Default list of favourite special characters
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks: Special-Character
  Show dependency treegraph
 
Reported: 2017-08-13 18:42 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-10-25 12:25 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
New favorites list in current 6.0.0 alpha1 master (8.83 KB, image/png)
2017-11-02 08:50 UTC, Thomas Lendo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-08-13 18:42:53 UTC
A list of commonly used special characters should be used to fill the special character's favourites list, as it is a presets list.
Comment 1 Yousuf Philips (jay) (retired) 2017-08-13 18:58:45 UTC
Here are group button presets from other apps.

MS Word - http://i.imgur.com/GiyojNv.png
WPS Writer - http://i.imgur.com/05A02N9.png
Wordperfect - http://i.imgur.com/gsxv8a3.png

The preset choices seem to mainly contain currency symbols (euro, pound, yen), copyright/trademark symbols (™, ©, Ⓡ), mathematical symbols (±, ≤, ≠), greek symbols (⍺, π, Σ), emoticons (😃, 😊), and bullet characters (bullet, checkmark, arrow).
Comment 2 Heiko Tietze 2017-08-13 21:03:13 UTC
Drawback would be that the user needs to delete a predefined favorite before she can add own. So we definitely should keep the number below 16.
Comment 3 Heiko Tietze 2017-08-15 20:01:28 UTC
My take: 
* €, $, ¥, £ (some currencies are usually on the keyboard but not all; german layout has € and $ but not pound or yen; could make sense to take ¢ instead of yen)
* Φ, Σ, Ψ, Ω (Greek is not only useful for mathematicians)
* ∞, ‰, †, ‡ (some examples, conservative in respect to the font; daggers for scientific use https://en.wikipedia.org/wiki/Dagger_(typography); most other characters are substituted from input, e.g. (c)

And as said before I wouldn't add more to allow users adding own chars without the need to delete.
Comment 4 Heiko Tietze 2017-08-20 18:39:39 UTC
(In reply to Heiko Tietze from comment #3)
> My take: 
> * €, $, ¥, £ (some currencies are usually on the keyboard but not all;
> german layout has € and $ but not pound or yen; could make sense to take ¢
> instead of yen)
> * Φ, Σ, Ψ, Ω (Greek is not only useful for mathematicians)
> * ∞, ‰, †, ‡ (some examples, conservative in respect to the font; daggers
> for scientific use https://en.wikipedia.org/wiki/Dagger_(typography); most
> other characters are substituted from input, e.g. (c)
> 
> And as said before I wouldn't add more to allow users adding own chars
> without the need to delete.

Latest variant is now 

₠,¥,£,₪
Φ,Σ,Ψ,Ω
∞,😃,†,‡
Comment 5 Commit Notification 2017-08-20 20:53:09 UTC
Akshay Deep committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fc096827ea9fee79c27e07db040c6aed2b5d9ffd

tdf#111775 - Default list of favourite special characters

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Yousuf Philips (jay) (retired) 2017-08-21 13:20:11 UTC
Thanks for the patch Akshay, but additional work needs to be done to finalize the list.
Comment 7 Heiko Tietze 2017-08-21 13:41:12 UTC
Jay suggested on Telegram to have the Euro and the copyright signs as defaults. Agreeing with € as his layout doesn't contains it but copyright is more easily entered as (C).

Akshay should finalize the other topics, we can easily adjust the favs list ourselves.
Comment 8 Thomas Lendo 2017-08-24 19:31:26 UTC
One character that comes into my mind is an arrow to the right direction: U+2192 I assume. That's what we often use in documents at work.
Comment 9 Mike Saunders 2017-08-28 12:02:35 UTC
Is it worth adding this to the Release Notes?

https://wiki.documentfoundation.org/ReleaseNotes/6.0

Then we'll remember to mention it in the press release / videos, if it makes sense to do so...
Comment 10 Heiko Tietze 2017-08-28 12:31:27 UTC
(In reply to Mike Saunders from comment #9)
> Is it worth adding this to the Release Notes?
> 
> https://wiki.documentfoundation.org/ReleaseNotes/6.0
> 
> Then we'll remember to mention it in the press release / videos, if it makes
> sense to do so...

It's part of the GSoC project on Special Characters (which should definitely get announced by video), and Akshay wanted to add his achievements to the release notes (https://akkidevblog.wordpress.com/).

The finalized list of favorite chars is not that relevant as it's our best guess what most users benefit from.
Comment 11 Yousuf Philips (jay) (retired) 2017-09-05 13:49:17 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=15790025c8ac2fe659f458cffc0d72a79089074e

tdf#106988 Default favorite characters

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Thomas Lendo 2017-11-02 08:50:37 UTC
Created attachment 137446 [details]
New favorites list in current 6.0.0 alpha1 master
Comment 13 Thomas Lendo 2017-11-02 08:51:05 UTC
Set to VERIFIED FIXED.

Version: 6.0.0.0.alpha1+ (x64)
Build ID: 13c5dd1d98a480cb01ca8f24242c80e326e4ade8
CPU threads: 8; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2017-10-31_01:03:30